Bug 141647 - add--wit h-mib-modules="host ucd-snmp/diskio" to default build
add--wit h-mib-modules="host ucd-snmp/diskio" to default build
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-snmp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
: FutureFeature
: 142327 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-12-02 12:57 EST by Chris Stankaitis
Modified: 2012-09-10 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-08 10:23:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Stankaitis 2004-12-02 12:57:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
without re-compiling net-snmp with the above listed ./configure flag
we are unable to read DiskIO information over SNMP.

Why was this configure option not used by default? is there some
reason not to use it on RHEL?  Could it be added to the default build
of net-snmp so that we do not have maintain our own package
independant of Red Hat?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Install src.rpm look in spec file for the ./configure options... note
the lack of --with-mib-modules="host ucd-snmp/diskio"

Additional info:
Comment 1 Suzanne Hillman 2004-12-08 18:08:07 EST
Internal RFE bug #142327 entered; will be considered for future releases.
Comment 2 Radek Vokal 2004-12-10 10:19:42 EST
Host module is one of the main modules and it's installed with snmp by
default. With ucd-snmp/diskio, can you give me an OID so I can test it?
Comment 3 Chris Stankaitis 2004-12-13 08:25:34 EST
Here are the OID's which I am now using after recompiling with the
--wit h-mib-modules="ucd-snmp/diskio" compiled into SNMP:


Comment 4 Douglas E. Warner 2005-12-15 17:39:14 EST
I'd like to add another vote for compiling this MIB into the standard RHEL4 
net-snmp.  I've been using it with FC4's net-snmp for several months (where 
the net-snmp package appears to be compiled with it) with no problems. 
Comment 5 Albert Sellarès Torra 2006-10-19 06:50:37 EDT
I'd like to add another vote!
Comment 6 Radek Vokal 2006-11-08 10:23:06 EST
For RHEL3 we're looking only for security and performance related bugs. I'm
closing this bug as WONTFIX.
Comment 7 Josep 'Pep' Turro Mauri 2012-09-10 12:56:21 EDT
*** Bug 142327 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.